# $Revision: 1.7 $, $Date: 2003/10/07 11:29:18 $
%include	/usr/lib/rpm/macros.perl
Summary:	A Web-based monitor for ISC DHCP lease statistics
Summary(pl):	Statystyki dla ISC DHCP na stronie WWW
Name:		reportdhcp
Version:	2.1
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://www.omar.org/opensource/reportdhcp/%{name}.pl-%{version}.tar.gz
# Source0-md5:	72c3ad073c846981701b4db787112a95
Patch0:		%{name}-config.patch
URL:		http://www.omar.org/opensource/reportdhcp/
BuildRequires:	rpm-perlprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Reportdhcp.pl is a CGI script written in perl. It displays statistics
and lease entries for ISC DHCPD by parsing the dhcpd.conf and
dhcpd.leases files.

%description -l pl
Reportdhcp.pl jest skryptem CGI napisanym w perlu. Wywietla
statystyki oraz wpisy dzieraw dla ISC DHCPD poprzez analiz pliku
dhcpd.conf oraz dhcpd.leases.

%prep
%setup -q -c
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/home/services/httpd/cgi-bin/reportdhcp

install reportdhcp.pl $RPM_BUILD_ROOT/home/services/httpd/cgi-bin/reportdhcp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README
%dir /home/services/httpd/cgi-bin/reportdhcp
%attr(755,root,root) /home/services/httpd/cgi-bin/reportdhcp/reportdhcp.pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: reportdhcp.spec,v $
Revision 1.7  2003/10/07 11:29:18  qboosh
- simplified %%setup

Revision 1.6  2003/05/30 08:23:37  misi3k
- updated to 2.1

Revision 1.5  2003/05/28 13:01:39  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 06:26:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/12/07 18:52:01  orzech
- /home -> /home/services

Revision 1.2  2002/09/09 17:10:40  blues
- release 1 - sorry

Revision 1.1  2002/09/09 16:51:38  blues
- initial release - STBR
